streamWrapper::dir_rewinddir
streamWrapper::rename
streamWrapper
PHP Manual

# streamWrapper::mkdir

(PHP 5)

streamWrapper::mkdir — Create a directory

### Description

public bool streamWrapper::mkdir ( string `$path` , int `$mode` , int `$options` )

This method is called in response to mkdir().

> Note: In order for the appropriate error message to be returned this method should not be defined if the wrapper does not support creating directories.

### Parameters

`path`

  Directory which should be created.

`mode`

  The value passed to mkdir().

`options`

  A bitwise mask of values, such as `STREAM_MKDIR_RECURSIVE`.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Errors/Exceptions

Emits `E_WARNING` if call to this method fails (i.e. not implemented).

### Notes

> Note: The streamWrapper->context property is updated if a valid context is passed to the caller function.

### See Also

- mkdir() - Makes directory
- streamwrapper::rmdir - Removes a directory

streamWrapper::dir_rewinddir
streamWrapper::rename
streamWrapper
PHP Manual